Index: trunk/src/world_entities/spawning_point.cc
===================================================================
--- trunk/src/world_entities/spawning_point.cc	(revision 9391)
+++ trunk/src/world_entities/spawning_point.cc	(revision 9406)
@@ -31,4 +31,8 @@
 #include "shared_network_data.h"
 
+
+/// TODO REMOVE converter.h
+#include "converter.h"
+
 CREATE_FACTORY( SpawningPoint, CL_SPAWNING_POINT );
 
@@ -41,5 +45,5 @@
 
   this->init();
-  
+
   if (root != NULL)
     this->loadParams(root);
@@ -50,12 +54,12 @@
   this->setClassID(CL_SPAWNING_POINT, "SpawningPoint");
   PRINTF(0)("Created SpawningPoint\n");
-  
+
   this->teamId = -1;
   this->localTimer = 0.0f;
-  
+
   this->toList( OM_DEAD_TICK );
-  
+
   MessageManager::getInstance()->registerMessageHandler( MSGID_RESPAWN, respawnMessageHandler, NULL );
-  
+
   this->setSynchronized( true );
 }
@@ -94,5 +98,5 @@
   qe.entity = entity;
   qe.respawnTime = this->localTimer + delay;
-  
+
   queue.push_back( qe );
 }
@@ -105,10 +109,10 @@
 {
   const std::list<BaseObject*> * list = ClassList::getList( CL_PLAYABLE );
-  
+
   bool found = false;
-  
+
   if ( !list )
     return;
-    
+
   for ( std::list<BaseObject*>::const_iterator it = list->begin(); it != list->end(); it++ )
   {
@@ -119,21 +123,21 @@
     }
   }
-  
+
   if ( !found )
     return;
 
-  PRINTF(0)("Spawningpoint spawns Entity (%s)\n", entity->getClassName());
+  PRINTF(0)("Spawningpoint spawns Entity (%s)\n", entity->getClassCName());
 
 
   entity->setAbsCoor( this->getAbsCoor() );
   entity->setAbsDir( this->getAbsDir() );
-  
+
   //TODO set camera (not smooth)
-  
+
   if ( State::getGameRules() )
   {
     (State::getGameRules())->registerSpawn( entity );
   }
-  
+
   entity->respawn();
 }
@@ -157,12 +161,12 @@
       //spawn the player
       this->spawn(it->entity);
-      
+
       const std::list<BaseObject*> * list = ClassList::getList( CL_PLAYABLE );
-  
+
       bool found = false;
-  
+
       if ( !list )
         return;
-    
+
       for ( std::list<BaseObject*>::const_iterator it2 = list->begin(); it2 != list->end(); it2++ )
       {
@@ -173,16 +177,16 @@
         }
       }
-  
-      if ( found && SharedNetworkData::getInstance()->isGameServer() )
+
+      if ( found && SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
         this->sendRespawnMessage( it->entity->getUniqueID() );
 
       std::list<QueueEntry>::iterator delit = it;
       it++;
-      
+
       queue.erase( delit );
-      
+
       continue;
     }
-    
+
     it++;
   }
@@ -203,9 +207,10 @@
 void SpawningPoint::sendRespawnMessage( int uniqueId )
 {
+#warning this byte array is not being deleted according to valginrd
   byte * buf = new byte[2*INTSIZE];
-  
+
   assert( Converter::intToByteArray( this->getUniqueID(), buf, INTSIZE ) == INTSIZE );
   assert( Converter::intToByteArray( uniqueId, buf + INTSIZE, INTSIZE ) == INTSIZE );
-  
+
   MessageManager::getInstance()->sendMessage( MSGID_RESPAWN, buf, 2*INTSIZE, RT_ALL_NOT_ME, 0, MP_HIGHBANDWIDTH );
 }
@@ -213,13 +218,13 @@
 bool SpawningPoint::respawnMessageHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId )
 {
-  if ( SharedNetworkData::getInstance()->isGameServer() )
+  if ( SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
   {
     PRINTF(2)("server received spawn message!\n");
     return true;
   }
-    
+
   int spUniqueId;
   int uniqueId;
-  
+
   if ( dataLength != 2*INTSIZE )
   {
@@ -227,15 +232,15 @@
     return true;
   }
-  
+
   assert( Converter::byteArrayToInt( data, &spUniqueId ) == INTSIZE );
   assert( Converter::byteArrayToInt( data+INTSIZE, &uniqueId ) == INTSIZE );
-  
+
   PRINTF(0)("SPAWNMESSAGE %d\n", uniqueId);
-  
+
   SpawningPoint * sp = NULL;
   Playable      * playable = NULL;
-  
+
   const std::list<BaseObject*> * list = ClassList::getList( CL_SPAWNING_POINT );
-  
+
   if ( list )
   {
@@ -250,5 +255,5 @@
     }
   }
-  
+
   if ( !sp )
   {
@@ -256,7 +261,7 @@
     return false;
   }
-  
+
   list = ClassList::getList( CL_PLAYABLE );
-  
+
   if ( list )
   {
@@ -270,5 +275,5 @@
     }
   }
-  
+
   if ( !playable )
   {
@@ -276,7 +281,7 @@
     return false;
   }
-  
+
   sp->spawn( playable );
-  
+
   return true;
 }
Index: trunk/src/world_entities/spectator.cc
===================================================================
--- trunk/src/world_entities/spectator.cc	(revision 9391)
+++ trunk/src/world_entities/spectator.cc	(revision 9406)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/terrain.cc
===================================================================
--- trunk/src/world_entities/terrain.cc	(revision 9391)
+++ trunk/src/world_entities/terrain.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Terrain, CL_TERRAIN);
Index: trunk/src/world_entities/test_entity.cc
===================================================================
--- trunk/src/world_entities/test_entity.cc	(revision 9391)
+++ trunk/src/world_entities/test_entity.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/aim.cc
===================================================================
--- trunk/src/world_entities/weapons/aim.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/aim.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #include "world_entity.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/aiming_system.cc
===================================================================
--- trunk/src/world_entities/weapons/aiming_system.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/aiming_system.cc	(revision 9406)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
@@ -91,5 +91,5 @@
 
 
-  for( int i = 0; i < this->selectionList.size(); i++)
+  for(unsigned int i = 0; i < this->selectionList.size(); i++)
   {
     distance = fabs((this->getAbsCoor() - this->selectionList[i]->getAbsCoor()).len());
@@ -101,5 +101,5 @@
   }
 
-  PRINTF(0)("entity: %s\n", nearestEntity->getClassName());
+  PRINTF(0)("entity: %s\n", nearestEntity->getClassCName());
     return nearestEntity;
 }
@@ -115,5 +115,5 @@
   if( this->owner != killer)
   {
-    //PRINTF(0)("real hit: %s\n", killer->getClassName());
+    //PRINTF(0)("real hit: %s\n", killer->getClassCName());
     this->selectionList.push_back(killer);
   }
Index: trunk/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- trunk/src/world_entities/weapons/aiming_turret.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/aiming_turret.cc	(revision 9406)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(AimingTurret, CL_AIMING_TURRET);
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/ammo_container.cc
===================================================================
--- trunk/src/world_entities/weapons/ammo_container.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/ammo_container.cc	(revision 9406)
@@ -22,5 +22,5 @@
 #include <assert.h>
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/weapons/cannon.cc
===================================================================
--- trunk/src/world_entities/weapons/cannon.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/cannon.cc	(revision 9406)
@@ -35,5 +35,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(Cannon, CL_CANNON);
Index: trunk/src/world_entities/weapons/crosshair.cc
===================================================================
--- trunk/src/world_entities/weapons/crosshair.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/crosshair.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "material.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- trunk/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9406)
@@ -36,5 +36,5 @@
 #include "effects/explosion.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- trunk/src/world_entities/weapons/hyperblaster.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/hyperblaster.cc	(revision 9406)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(Hyperblaster, CL_HYPERBLASTER);
Index: trunk/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- trunk/src/world_entities/weapons/targeting_turret.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/targeting_turret.cc	(revision 9406)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(TargetingTurret, CL_TARGETING_TURRET);
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/turret.cc
===================================================================
--- trunk/src/world_entities/weapons/turret.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/turret.cc	(revision 9406)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(Turret, CL_TURRET);
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/weapon.cc	(revision 9406)
@@ -36,5 +36,5 @@
 #include "elements/glgui_energywidget.h"
 
-using namespace std;
+
 
 ////////////////////
@@ -199,5 +199,5 @@
   else
   {
-    PRINTF(1)("Projectile %s does not exist for weapon %s\n", projectile.c_str(), this->getName());
+    PRINTF(1)("Projectile %s does not exist for weapon %s\n", projectile.c_str(), this->getCName());
   }
 }
@@ -213,5 +213,5 @@
     projectileFactory->prepare(count);
   else
-    PRINTF(2)("unable to create %d projectile for Weapon %s (%s)\n", count, this->getName(), this->getClassName());
+    PRINTF(2)("unable to create %d projectile for Weapon %s::%s\n", count, this->getClassCName(), this->getCName());
 }
 
@@ -234,5 +234,5 @@
   else
   {
-    PRINTF(2)("No projectile defined for Weapon %s(%s) can't return any\n", this->getName(), this->getClassName());
+    PRINTF(2)("No projectile defined for Weapon %s(%s) can't return any\n", this->getCName(), this->getClassCName());
     return NULL;
   }
@@ -313,5 +313,5 @@
   {
     this->energyWidget = new OrxGui::GLGuiEnergyWidget();
-    this->energyWidget->setDisplayedName(this->getClassName());
+    this->energyWidget->setDisplayedName(this->getClassCName());
     this->energyWidget->setSize2D( 20, 100);
     this->energyWidget->setMaximum(this->getEnergyMax());
@@ -442,5 +442,5 @@
     this->updateWidgets();
     // activate
-    PRINTF(4)("Activating the Weapon %s\n", this->getName());
+    PRINTF(4)("Activating the Weapon %s\n", this->getCName());
     this->activate();
     // setting up for next action
@@ -458,5 +458,5 @@
   //  if (this->currentState != WS_INACTIVE)
   {
-    PRINTF(4)("Deactivating the Weapon %s\n", this->getName());
+    PRINTF(4)("Deactivating the Weapon %s\n", this->getCName());
     // play Sound
     if (this->soundBuffers[WA_DEACTIVATE] != NULL)
@@ -527,5 +527,5 @@
 bool Weapon::reloadW()
 {
-  PRINTF(4)("Reloading Weapon %s\n", this->getName());
+  PRINTF(4)("Reloading Weapon %s\n", this->getCName());
   if (this->ammoContainer.get() != NULL &&
       unlikely(this->energy + this->ammoContainer->getStoredEnergy() < this->minCharge))
@@ -632,5 +632,5 @@
 void Weapon::debug() const
 {
-  PRINT(0)("Weapon-Debug %s, state: %s (duration: %fs), nextAction: %s\n", this->getName(), Weapon::stateToChar(this->currentState), this->stateDuration, Weapon::actionToChar(requestedAction));
+  PRINT(0)("Weapon-Debug %s, state: %s (duration: %fs), nextAction: %s\n", this->getCName(), Weapon::stateToChar(this->currentState), this->stateDuration, Weapon::actionToChar(requestedAction));
   PRINT(0)("Energy: max: %f; current: %f; chargeMin: %f, chargeMax %f\n",
            this->energyMax, this->energy, this->minCharge, this->maxCharge);
Index: trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon_manager.cc	(revision 9391)
+++ trunk/src/world_entities/weapons/weapon_manager.cc	(revision 9406)
@@ -83,8 +83,8 @@
     // NAMING
     char* tmpName;
-    if (this->getName())
-    {
-      tmpName = new char[strlen(this->getName()) + 10];
-      sprintf(tmpName, "%s_slot%d", this->getName(), i);
+    if (!this->getName().empty())
+    {
+      tmpName = new char[this->getName().size() + 10];
+      sprintf(tmpName, "%s_slot%d", this->getCName(), i);
     }
     else
@@ -265,5 +265,5 @@
   if (configID > 0 && slotID > 0 && this->configs[configID][slotID] != NULL)
   {
-    PRINTF(3)("Weapon-slot %d/%d of %s already poulated, remove weapon (%s::%s) first\n", configID, slotID, this->getName(), weapon->getClassName(), weapon->getName());
+    PRINTF(3)("Weapon-slot %d/%d of %s already poulated, remove weapon (%s::%s) first\n", configID, slotID, this->getCName(), weapon->getClassCName(), weapon->getCName());
     return false;
   }
@@ -302,5 +302,5 @@
     weapon->setDefaultTarget(this->crosshair);
   }
-  PRINTF(3)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassName(), weapon->getName(), configID, slotID);
+  PRINTF(3)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassCName(), weapon->getCName(), configID, slotID);
   return true;
 }
@@ -555,6 +555,6 @@
     {
       if (this->configs[i][j] != NULL)
-        PRINT(3)("Slot %d loaded a %s\n", j, this->configs[i][j]->getClassName());
-    }
-  }
-}
+        PRINT(3)("Slot %d loaded a %s\n", j, this->configs[i][j]->getClassCName());
+    }
+  }
+}
Index: trunk/src/world_entities/world_entity.cc
===================================================================
--- trunk/src/world_entities/world_entity.cc	(revision 9391)
+++ trunk/src/world_entities/world_entity.cc	(revision 9406)
@@ -414,5 +414,5 @@
 bool WorldEntity::registerCollision(WorldEntity* entityA, WorldEntity* entityB, BoundingVolume* bvA, BoundingVolume* bvB)
 {
-  PRINTF(5)("registering collision of type: %s vs %s\n", entityA->getClassName(), entityB->getClassName());
+  PRINTF(5)("registering collision of type: %s vs %s\n", entityA->getClassCName(), entityB->getClassCName());
   // is there any handler listening?
   if( !this->bReactive)
@@ -506,5 +506,5 @@
    * You can always define a default Action.... don't be affraid just test it :)
    */
-  //  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+  //  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
 }
 
@@ -518,5 +518,5 @@
 void WorldEntity::collidesWithGround(const Vector& location)
 {
-  PRINTF(0)("BSP_GROUND: %s collides \n", this->getClassName() );
+  PRINTF(0)("BSP_GROUND: %s collides \n", this->getClassCName() );
 }
 
@@ -524,5 +524,5 @@
 {
 
-  // PRINTF(0)("BSP_GROUND: Player collides \n", this->getClassName() );
+  // PRINTF(0)("BSP_GROUND: Player collides \n", this->getClassCName() );
 
   Vector v = this->getAbsDirX();
@@ -594,5 +594,5 @@
 void WorldEntity::draw() const
 {
-  //PRINTF(0)("(%s::%s)\n", this->getClassName(), this->getName());
+  //PRINTF(0)("(%s::%s)\n", this->getClassCName(), this->getName());
   //  assert(!unlikely(this->models.empty()));
   {
@@ -676,5 +676,5 @@
   if (this->health > this->healthMax)
   {
-    PRINTF(3)("new maxHealth is bigger as the old health. Did you really intend to do this for (%s::%s)\n", this->getClassName(), this->getName());
+    PRINTF(3)("new maxHealth is bigger as the old health. Did you really intend to do this for (%s::%s)\n", this->getClassCName(), this->getCName());
     this->health = this->healthMax;
   }
@@ -699,5 +699,5 @@
   }
   else
-    PRINTF(3)("Allready created the HealthWidget for %s::%s\n", this->getClassName(), this->getName());
+    PRINTF(3)("Allready created the HealthWidget for %s::%s\n", this->getClassCName(), this->getCName());
 }
 
@@ -745,5 +745,5 @@
   this->decreaseHealth(damage);
 
-  PRINTF(5)("Hit me: %s now only %f/%f health\n", this->getClassName(), this->getHealth(), this->getHealthMax());
+  PRINTF(5)("Hit me: %s::%s now only %f/%f health\n", this->getClassCName(), this->getCName(), this->getHealth(), this->getHealthMax());
 
   if( this->getHealth() > 0)
@@ -811,5 +811,5 @@
 void WorldEntity::debugEntity() const
 {
-  PRINT(0)("WorldEntity %s::%s  (DEBUG)\n", this->getClassName(), this->getName());
+  PRINT(0)("WorldEntity %s::%s  (DEBUG)\n", this->getClassCName(), this->getCName());
   this->debugNode();
   PRINT(0)("List: %s ; ModelCount %d - ", ObjectManager::OMListToString(this->objectListNumber) , this->models.size());
@@ -817,5 +817,5 @@
   {
     if (models[i] != NULL)
-      PRINT(0)(" : %d:%s", i, this->models[i]->getName());
+      PRINT(0)(" : %d:%s", i, this->models[i]->getCName());
   }
   PRINT(0)("\n");
